var _reactUiAriaInteractions = require("@react-ui-aria/interactions");

var _reactUiAriaUtils = require("@react-ui-aria/utils");

var _react = require("react");

var _babelRuntimeHelpersExtends = require("@babel/runtime/helpers/extends");

var _babelRuntimeHelpersObjectWithoutPropertiesLoose = require("@babel/runtime/helpers/objectWithoutPropertiesLoose");

var _babelRuntimeHelpersInteropRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _babelRuntimeHelpersInteropRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
// ASSET: /home/cong/Github/ladifire/ladifire-ui-react/packages/@react-ui-aria/visually-hidden/src/VisuallyHidden.tsx
var $fa09098be3b394a529d20161616c2559$exports = {};
var $fa09098be3b394a529d20161616c2559$var$_interopRequireWildcard = _babelRuntimeHelpersInteropRequireWildcard;
var $fa09098be3b394a529d20161616c2559$var$_interopRequireDefault = _babelRuntimeHelpersInteropRequireDefault;
Object.defineProperty($fa09098be3b394a529d20161616c2559$exports, "__esModule", {
  value: true
});
var $fa09098be3b394a529d20161616c2559$export$useVisuallyHidden = $fa09098be3b394a529d20161616c2559$var$useVisuallyHidden;
$fa09098be3b394a529d20161616c2559$exports.useVisuallyHidden = $fa09098be3b394a529d20161616c2559$export$useVisuallyHidden;
var $fa09098be3b394a529d20161616c2559$export$VisuallyHidden = $fa09098be3b394a529d20161616c2559$var$VisuallyHidden;
$fa09098be3b394a529d20161616c2559$exports.VisuallyHidden = $fa09098be3b394a529d20161616c2559$export$VisuallyHidden;
var $fa09098be3b394a529d20161616c2559$var$_objectWithoutPropertiesLoose2 = $fa09098be3b394a529d20161616c2559$var$_interopRequireDefault(_babelRuntimeHelpersObjectWithoutPropertiesLoose);
var $fa09098be3b394a529d20161616c2559$var$_extends2 = $fa09098be3b394a529d20161616c2559$var$_interopRequireDefault(_babelRuntimeHelpersExtends);
var $fa09098be3b394a529d20161616c2559$var$_react = $fa09098be3b394a529d20161616c2559$var$_interopRequireWildcard(_react);
var $fa09098be3b394a529d20161616c2559$var$_utils = _reactUiAriaUtils;
var $fa09098be3b394a529d20161616c2559$var$_interactions = _reactUiAriaInteractions;

/*
 * Copyright 2020-present Ladifire. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
const $fa09098be3b394a529d20161616c2559$var$styles = {
  border: 0,
  clip: 'rect(0 0 0 0)',
  clipPath: 'inset(50%)',
  height: 1,
  margin: '0 -1px -1px 0',
  overflow: 'hidden',
  padding: 0,
  position: 'absolute',
  width: 1,
  whiteSpace: 'nowrap'
};

/**
 * Provides props for an element that hides its children visually
 * but keeps content visible to assistive technology.
 */
function $fa09098be3b394a529d20161616c2559$var$useVisuallyHidden(props) {
  if (props === void 0) {
    props = {};
  }

  let {
    style,
    isFocusable
  } = props;
  let [isFocused, setFocused] = (0, $fa09098be3b394a529d20161616c2559$var$_react.useState)(false);
  let {
    focusProps
  } = (0, $fa09098be3b394a529d20161616c2559$var$_interactions.useFocus)({
    isDisabled: !isFocusable,
    onFocusChange: setFocused
  }); // If focused, don't hide the element.

  let combinedStyles = (0, $fa09098be3b394a529d20161616c2559$var$_react.useMemo)(() => {
    if (isFocused) {
      return style;
    } else if (style) {
      return (0, $fa09098be3b394a529d20161616c2559$var$_extends2.default)({}, $fa09098be3b394a529d20161616c2559$var$styles, style);
    } else {
      return $fa09098be3b394a529d20161616c2559$var$styles;
    }
  }, [isFocused]);
  return {
    visuallyHiddenProps: (0, $fa09098be3b394a529d20161616c2559$var$_extends2.default)({}, focusProps, {
      style: combinedStyles
    })
  };
}
/**
 * VisuallyHidden hides its children visually, while keeping content visible
 * to screen readers.
 */


function $fa09098be3b394a529d20161616c2559$var$VisuallyHidden(props) {
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  let {
    children,
    elementType: Element = 'div'
  } = props,
      otherProps = (0, $fa09098be3b394a529d20161616c2559$var$_objectWithoutPropertiesLoose2.default)(props, ["children", "elementType", "isFocusable", "style"]);
  let {
    visuallyHiddenProps
  } = $fa09098be3b394a529d20161616c2559$var$useVisuallyHidden(props);
  return /*#__PURE__*/$fa09098be3b394a529d20161616c2559$var$_react.default.createElement(Element, (0, $fa09098be3b394a529d20161616c2559$var$_utils.mergeProps)(otherProps, visuallyHiddenProps), children);
}

Object.keys($fa09098be3b394a529d20161616c2559$exports).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return $fa09098be3b394a529d20161616c2559$exports[key];
    }
  });
});
//# sourceMappingURL=main.js.map
