import _reactUiAriaInteractions from "@react-ui-aria/interactions";
import _reactUiAriaUtils from "@react-ui-aria/utils";
import _react from "react";
import _babelRuntimeHelpersEsmExtends from "@babel/runtime/helpers/esm/extends";
import _babelRuntimeHelpersEsmObjectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import _babelRuntimeHelpersInteropRequireDefault from "@babel/runtime/helpers/interopRequireDefault";
import _babelRuntimeHelpersInteropRequireWildcard from "@babel/runtime/helpers/interopRequireWildcard";
// ASSET: /home/cong/Github/ladifire/ladifire-ui-react/packages/@react-ui-aria/visually-hidden/src/index.ts
var $ce661a4760771cf1206bdca427bf$exports = {};
Object.defineProperty($ce661a4760771cf1206bdca427bf$exports, "__esModule", {
  value: true
});
// ASSET: /home/cong/Github/ladifire/ladifire-ui-react/packages/@react-ui-aria/visually-hidden/src/VisuallyHidden.tsx
var $baefb10a14f72c1419e49cd868d64e41$exports = {};
var $baefb10a14f72c1419e49cd868d64e41$var$_interopRequireWildcard = _babelRuntimeHelpersInteropRequireWildcard;
var $baefb10a14f72c1419e49cd868d64e41$var$_interopRequireDefault = _babelRuntimeHelpersInteropRequireDefault;
Object.defineProperty($baefb10a14f72c1419e49cd868d64e41$exports, "__esModule", {
  value: true
});
var $baefb10a14f72c1419e49cd868d64e41$export$useVisuallyHidden = $baefb10a14f72c1419e49cd868d64e41$var$useVisuallyHidden;
$baefb10a14f72c1419e49cd868d64e41$exports.useVisuallyHidden = $baefb10a14f72c1419e49cd868d64e41$export$useVisuallyHidden;
var $baefb10a14f72c1419e49cd868d64e41$export$VisuallyHidden = $baefb10a14f72c1419e49cd868d64e41$var$VisuallyHidden;
$baefb10a14f72c1419e49cd868d64e41$exports.VisuallyHidden = $baefb10a14f72c1419e49cd868d64e41$export$VisuallyHidden;
var $baefb10a14f72c1419e49cd868d64e41$var$_objectWithoutPropertiesLoose2 = $baefb10a14f72c1419e49cd868d64e41$var$_interopRequireDefault(_babelRuntimeHelpersEsmObjectWithoutPropertiesLoose);
var $baefb10a14f72c1419e49cd868d64e41$var$_extends2 = $baefb10a14f72c1419e49cd868d64e41$var$_interopRequireDefault(_babelRuntimeHelpersEsmExtends);
var $baefb10a14f72c1419e49cd868d64e41$var$_react = $baefb10a14f72c1419e49cd868d64e41$var$_interopRequireWildcard(_react);
var $baefb10a14f72c1419e49cd868d64e41$var$_utils = _reactUiAriaUtils;
var $baefb10a14f72c1419e49cd868d64e41$var$_interactions = _reactUiAriaInteractions;

/*
 * Copyright 2020-present Ladifire. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
const $baefb10a14f72c1419e49cd868d64e41$var$styles = {
  border: 0,
  clip: 'rect(0 0 0 0)',
  clipPath: 'inset(50%)',
  height: 1,
  margin: '0 -1px -1px 0',
  overflow: 'hidden',
  padding: 0,
  position: 'absolute',
  width: 1,
  whiteSpace: 'nowrap'
};

/**
 * Provides props for an element that hides its children visually
 * but keeps content visible to assistive technology.
 */
function $baefb10a14f72c1419e49cd868d64e41$var$useVisuallyHidden(props) {
  if (props === void 0) {
    props = {};
  }

  let {
    style,
    isFocusable
  } = props;
  let [isFocused, setFocused] = (0, $baefb10a14f72c1419e49cd868d64e41$var$_react.useState)(false);
  let {
    focusProps
  } = (0, $baefb10a14f72c1419e49cd868d64e41$var$_interactions.useFocus)({
    isDisabled: !isFocusable,
    onFocusChange: setFocused
  }); // If focused, don't hide the element.

  let combinedStyles = (0, $baefb10a14f72c1419e49cd868d64e41$var$_react.useMemo)(() => {
    if (isFocused) {
      return style;
    } else if (style) {
      return (0, $baefb10a14f72c1419e49cd868d64e41$var$_extends2.default)({}, $baefb10a14f72c1419e49cd868d64e41$var$styles, style);
    } else {
      return $baefb10a14f72c1419e49cd868d64e41$var$styles;
    }
  }, [isFocused]);
  return {
    visuallyHiddenProps: (0, $baefb10a14f72c1419e49cd868d64e41$var$_extends2.default)({}, focusProps, {
      style: combinedStyles
    })
  };
}
/**
 * VisuallyHidden hides its children visually, while keeping content visible
 * to screen readers.
 */


function $baefb10a14f72c1419e49cd868d64e41$var$VisuallyHidden(props) {
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  let {
    children,
    elementType: Element = 'div'
  } = props,
      otherProps = (0, $baefb10a14f72c1419e49cd868d64e41$var$_objectWithoutPropertiesLoose2.default)(props, ["children", "elementType", "isFocusable", "style"]);
  let {
    visuallyHiddenProps
  } = $baefb10a14f72c1419e49cd868d64e41$var$useVisuallyHidden(props);
  return /*#__PURE__*/$baefb10a14f72c1419e49cd868d64e41$var$_react.default.createElement(Element, (0, $baefb10a14f72c1419e49cd868d64e41$var$_utils.mergeProps)(otherProps, visuallyHiddenProps), children);
}

Object.keys($baefb10a14f72c1419e49cd868d64e41$exports).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty($ce661a4760771cf1206bdca427bf$exports, key, {
    enumerable: true,
    get: function get() {
      return $baefb10a14f72c1419e49cd868d64e41$exports[key];
    }
  });
});
//# sourceMappingURL=module.js.map
